Bug 477983 - Constant 10 - 30 % CPU usage by Xorg process
Constant 10 - 30 % CPU usage by Xorg process
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 17:29 EST by Audrius Meskauskas
Modified: 2009-04-11 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-11 22:20:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Audrius Meskauskas 2008-12-26 17:29:20 EST
Description of problem:
There is a constant 10 - 30 % CPU consumption by the Xorg process (owned by root). Also, start of the system at the moment when the log in screen first appears seems noticeably slower. The consumption increases till up to 40 % when the AC power cable is plugged out.

How reproducible:
The GUI becomes kind of clumsy, but the simplest way to see clearly is to use the top utility.


Additional info:
This appeared after the updates in 27 December, 2007.
Comment 1 Matěj Cepl 2009-01-07 09:13:54 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 auto-detect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Audrius Meskauskas 2009-01-11 04:37:58 EST
Unfortunately, this information was lost when I have performed the fresh re-installation from the initial DVD over the same partition. I will save and attach the requested logs if I observe the same bug the second time.
Comment 3 Matěj Cepl 2009-01-12 06:22:28 EST
OK, let us know.
Comment 4 Matěj Cepl 2009-02-08 12:22:08 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Matěj Cepl 2009-02-08 12:22:59 EST
Please also be sure to upgrade your gnome-screensaver to the latest release available at https://koji.fedoraproject.org/koji/packageinfo?packageID=164

Note You need to log in before you can comment on or make changes to this bug.